QGIS Application - Bug report #8834
Style for layer spatialite
2013-10-14 10:13 AM - iacopo zetti

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17524
Description

When | try to modify the style for a spatialite layer of polygons the map is not correctly shown if | choose Categorize or Graduated
Renderer. | see the legend in the legend windows, but the map disappears from the map canvas with Graduated and appears in one
single color with Categorize. With the same layer exported as shp everything work perfectly.

| tried with 2 computers, one with ubuntu and one with debian wheezy, same problem. Version 2.1 nightly built.

Related issues:
Related to QGIS Application - Bug report # 8923: SpatiaL.ite 4: added attribut... Closed 2013-10-21

History

#1 - 2013-10-17 05:29 AM - Josef Kéllgarden

Confirmed on windows 7.

| also think this should be a blocker since it is a regression from QGIS 2.0.

#2 - 2013-10-23 01:58 AM - Matthias Kuhn

another candidate for commit:fa90fc9?

Please check if this is solved in the latest nightlies.

#3 - 2013-10-23 01:59 AM - Matthias Kuhn
- Status changed from Open to Feedback

#4 - 2013-10-23 06:31 AM - Josef Kallgarden

Yes, seems to be fixed now.

#5 - 2013-10-24 07:03 AM - iacopo zetti

| tested the last nightlies and it's ok.

#6 - 2013-10-24 07:08 AM - Matthias Kuhn
- Status changed from Feedback to Closed
Thank you for verifying
